Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Class JDBCDataSourceTaskRuntimeMBeanImpl

    java.lang.Object
      weblogic.management.runtime.RuntimeMBeanDelegate
          weblogic.management.runtime.TaskRuntimeMBeanImpl
              weblogic.management.runtime.JDBCDataSourceTaskRuntimeMBeanImpl

All Implemented Interfaces:
  DynamicMBean, JDBCDataSourceTaskRuntimeMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, TaskRuntimeMBean, weblogic.management.WebLogicMBean

public class JDBCDataSourceTaskRuntimeMBeanImpl
extends TaskRuntimeMBeanImpl
implements JDBCDataSourceTaskRuntimeMBean

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.management.runtime.TaskRuntimeMBeanImpl
`beginTime, description, endTime, error, running, status, subTasks, systemTask`

Constructor Summary
`JDBCDataSourceTaskRuntimeMBeanImpl(String nameArg, weblogic.management.runtime.RuntimeMBean parentArg, boolean registerNow)` Constructor for the RuntimeMBeanDelegate object

Method Summary
`void` | `setBeginTime(long beginTime)`
`void` | `setDescription(String description)`
`void` | `setEndTime(long endTime)`
`void` | `setError(Exception error)`
`void` | `setStatus(String status)`

Methods inherited from class weblogic.management.runtime.TaskRuntimeMBeanImpl
`cancel, getBeginTime, getDescription, getEndTime, getError, getParentTask, getStatus, getSubTasks, isRunning, isSystemTask, printLog, setSubTasks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.management.runtime.TaskRuntimeMBean
`cancel, getBeginTime, getDescription, getEndTime, getError, getParentTask, getStatus, getSubTasks, isRunning, isSystemTask`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Constructor Detail

### JDBCDataSourceTaskRuntimeMBeanImpl

    public JDBCDataSourceTaskRuntimeMBeanImpl(String nameArg,
                                              weblogic.management.runtime.RuntimeMBean parentArg,
                                              boolean registerNow)
                                       throws weblogic.management.ManagementException

  Constructor for the RuntimeMBeanDelegate object

Throws:
  `weblogic.management.ManagementException`

Method Detail

### setBeginTime

    public void setBeginTime(long beginTime)

  Overrides:
    `setBeginTime` in class `TaskRuntimeMBeanImpl`

### setDescription

    public void setDescription(String description)

  Overrides:
    `setDescription` in class `TaskRuntimeMBeanImpl`

### setEndTime

    public void setEndTime(long endTime)

  Overrides:
    `setEndTime` in class `TaskRuntimeMBeanImpl`

### setError

    public void setError(Exception error)

  Overrides:
    `setError` in class `TaskRuntimeMBeanImpl`

### setStatus

    public void setStatus(String status)

  Overrides:
    `setStatus` in class `TaskRuntimeMBeanImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD